*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    display: flex;
    min-height: 100vh;
    background: #fff;
}
footer{
    position: relative;
    top: 380px;
    width: 1255px;
    background: #3586ff;
    height:200px;
    padding: 20px 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
footer .social_icon,.menu{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 0;
}
footer .social_icon li,.menu{
    list-style: none;
}
footer .social_icon li a{
    font-size: 2em;
    color: #fff;
    margin: 0 10px;
    display: inline-block;
    transition: 0.5s;
}
footer .social_icon li a:hover{
    transform: translateY(-20px);
}
footer .menu li a{
    font-size: 1.2em;
    color: #fff;
    margin: 0 10px;
    display: inline-block;
    text-decoration: none;
    opacity: 0.75;
}
footer .menu li a:hover{
    opacity: 1;
}
footer p{
    color: #fff;
    text-align: center;
    margin-top: 15px;
    margin-bottom: 10px;
    font-size: 1.1em;
}
footer .wave{
    position: absolute;
    top: -100px;
    left: 0;
    width: 1255px;
    height: 100px;
    background:url(wave.png);
    background-size: 1255px 100px;
}
footer .wave#wave1{
    z-index: 1000;
    opacity: 1;
    bottom: 0;
    animation: animate 4s linear infinite ;
}
@keyframes animate{
    0%{
        background-position-x:1255px;
    }
    100%{
        background-position-x:0px;
    }
}
footer .wave#wave2{
    z-index: 999;
    opacity: 0.5;
    bottom: 10px;
    animation: animate2 4s linear infinite ;
}
@keyframes animate2{
    0%{
        background-position-x:0px;
    }
    100%{
        background-position-x:1255px;
    }
}
footer .wave#wave3{
    z-index: 1000;
    opacity: 0.3;
    bottom: 15px;
    animation: animate3 3s linear infinite ;
}
@keyframes animate3{
    0%{
        background-position-x:0px;
    }
    100%{
        background-position-x:1255px;
    }
}
footer .wave#wave4{
    z-index: 1000;
    opacity: 0.7;
    bottom: 15px;
    animation: animate4 3s linear infinite ;
}
@keyframes animate4{
    0%{
        background-position-x:0px;
    }
    100%{
        background-position-x:1255px;
    }
}